@import url(https://fonts.googleapis.com/css?family=Satisfy|Pathway+Gothic+One);

* {
  box-sizing: border-box;
}

html, body {
  height: 100%;
}

body {
  /*background: black;*/
  background: #a7dcdf;
  height: 100%;
  font-family: "Arial", sans-serif;
}

.wrap {
  position: relative;
  height: 300px;
	/*height: 450px;*/
  /*min-height: 500px;*/
    /*min-height: 450px;*/
  /*padding-bottom: 20px;*/
    
    
    max-width: 800px;
    /*margin: auto;*/
}

.game {
  -webkit-transform-style: preserve-3d;
          transform-style: preserve-3d;
  -webkit-perspective: 500px;
          perspective: 500px;
  min-height: 300px;
  height: 100%;
    /*width: */
}

@-webkit-keyframes matchAnim {
  0% {
    background: #bcffcc;
  }
  100% {
    background: white;
  }
}

@keyframes matchAnim {
  0% {
    background: #bcffcc;
  }
  100% {
    background: white;
  }
}
.card {
  float: left;
  /*width: 16.66666%;
  height: 25%;*/
	
  width: 25%;
  height: 33%;
	
  padding: 5px;
  text-align: center;
  display: block;
  -webkit-perspective: 500px;
          perspective: 500px;
  position: relative;
  cursor: pointer;
  z-index: 50;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
@media (max-width: 800px) {
  .card {
    width: 25%;
    /*height: 16.666%;*/
	  /*height: 16.666%;*/
  }
}
.card .inside {
  width: 100%;
  height: 100%;
  display: block;
  -webkit-transform-style: preserve-3d;
          transform-style: preserve-3d;
  transition: .4s ease-in-out;
  background: #fef9e3
	/*background: white;*/
}
.card .inside.picked, .card .inside.matched {
  -webkit-transform: rotateY(180deg);
          transform: rotateY(180deg);
}
.card .inside.matched {
  -webkit-animation: 1s matchAnim ease-in-out;
          animation: 1s matchAnim ease-in-out;
  -webkit-animation-delay: .4s;
          animation-delay: .4s;
}
.card .front, .card .back {
  /*border: 1px solid black;*/
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: auto;
  /*padding-top: none;
  padding-bottom: none;
  padding-left: none;
  padding-right: none;*/
  /*padding: 20px;*/
}
.back {background-image: url(../images/background.svg);}

.card .front img, .card .back img {
  max-width: 100%;
  display: block;
  margin: 0 auto;
  max-height: 100%;
}
.card .front {
  -webkit-transform: rotateY(-180deg);
          transform: rotateY(-180deg);
}
@media (max-width: 800px) {
  .card .front {
    padding: 0px;
	  /*padding: 5px;*/
  }
}
.card .back {
  -webkit-transform: rotateX(0);
          transform: rotateX(0);
}
@media (max-width: 800px) {
  .card .back {
	  padding: 0px;
	  /*padding: 10px;*/
  }
}

.modal-overlay {
  display: none;
  top: 0;
  left: 0;
  width: 100%;
  height: 300px;
	background: #e7f0f0;
  /*background: rgba(0, 0, 0, 0.8);*/
  /*background-image: url("../images/rena2.png");
	background-repeat: no-repeat;
	background-position: center;*/
  position: absolute;

}

.modal {
  display: block;
  /*position: relative;*/
  /*width: 500px;
  height: 400px;*/
  /*width: 433px;*/
    width: auto;
  height: 300px;
  /*max-height: 100%;
  max-width: 100%;*/
  margin: 150px auto;
	
	
 background-image: url("../images/rena2.png");
	background-repeat: no-repeat;
	background-position: center;
	
	
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);

}
.modal .winner {
  font-size: 40px;
  text-align: center;
  font-family: 'Clicker Script', cursive;
  color: black;
	display: block;
  /*text-shadow: 0px 3px 0 black;*/
	 margin: auto;
	padding-top:200px;
}

@media (max-width: 480px) {
    .modal .winner {
      /*font-size: 36px;*/}
    .modal {
     /* margin: 240px 54px;*/
    /*margin: auto;*/} 
    .card .front img, .card .back img {
      margin: 10px auto;
    }
}

.modal .restart {
 font-family: 'Pathway Gothic One', 'sans-serif';
 background: #d72c33;
 font-size: 1.3em;
 text-align: center;
 display: block;
 /*padding: 2%;*/
	
 margin: auto;
 margin-top:10px;
 border-radius: 10px;
 -moz-border-radius: 10px;
 -webkit-border-radius: 10px;
  color: #fff;
	width: 150px;
 height: 30px;
	line-height:30px;
	
	-moz-transition: background-color 0.5s ease;
  -o-transition: background-color 0.5s ease;
  -webkit-transition: background-color 0.5s ease;
  transition: background-color 0.5s ease;
  cursor: pointer;
}
.modal .restart:hover {
	background: #ff0000;
}
	
	
.modal .message {
  text-align: center;
}
.modal .message a {
  text-decoration: none;
  color: #28afe6;
  font-weight: bold;
}
.modal .message a:hover {
  color: #56c0eb;
  border-bottom: 1px dotted #56c0eb;
}
.modal .share-text {
  text-align: center;
  margin: 10px auto;
}
.modal .social {
  margin: 20px auto;
  text-align: center;
}
.modal .social li {
  display: inline-block;
  height: 50px;
  width: 50px;
  margin-right: 10px;
}
.modal .social li:last-child {
  margin-right: 0;
}
.modal .social li a {
  display: block;
  line-height: 50px;
  font-size: 20px;
  color: white;
  text-decoration: none;
  border-radius: 5px;
}
.modal .social li a.facebook {
  background: #3b5998;
}
.modal .social li a.facebook:hover {
  background: #4c70ba;
}
.modal .social li a.google {
  background: #D34836;
}
.modal .social li a.google:hover {
  background: #dc6e60;
}
.modal .social li a.twitter {
  background: #4099FF;
}
.modal .social li a.twitter:hover {
  background: #73b4ff;
}

footer {
  height: 20px;
  position: absolute;
  bottom: 0;
  width: 100%;
  z-index: 0;
}
footer .disclaimer {
  line-height: 20px;
  font-size: 12px;
  color: #727272;
  text-align: center;
}

@media (max-width: 767px) {

}


@media (max-width: 320px) {
    .modal .winner {
      /*font-size: 36px;*/}
    .modal {width: 200px}
  
    .card .front img, .card .back img {
      margin: 10px auto;
    }
}
